import java.awt.*;
import java.awt.image.*;

public class Screen extends Canvas
{
    public BufferedImage img;

    public Screen(int w, int h, int t)
    {
	img = new BufferedImage(w,h,t);
    }

    public void paint(Graphics g)
    {
       	synchronized(img)
       	{
	    g.drawImage(img,0,0,this);
       	}
    }

    public void reDrawLine(int l) {
	int width;
	BufferedImage imgLine;
	Graphics g=getGraphics();
	if(g!=null) {
	    synchronized(img) {
		width=img.getWidth();
		imgLine=img.getSubimage(0,l,width,1);
	    }
	    g.drawImage(img,0,l,width,1,this);
	}
    }

}
